SpriteLibrary

Sprite Constructor (Sprite, Boolean)

Create a Sprite that is based off of the specified sprite. Clone the Sprite except that we set SpriteName = "" and OrigSpriteName = the OldSprite.SpriteName. That way we know that the sprite was duplicated from the original, and we can still distinguish the original from the duplicate.

Namespace: SpriteLibrary
Assembly: SpriteLibrary (in SpriteLibrary.dll) Version: 1.0.0.5 (1.0.0.5)
Syntax
C#
Copy

    public Sprite(
    	Sprite OldSprite,
    	bool RetainName = false
    )

#### Parameters

OldSprite
  Type: SpriteLibrary
  Sprite
  The Sprite to make a copy of
RetainName (Optional)
  Type: System
  Boolean
  If we want to set this sprite name to be that of the original. This is a terrible idea. Never do it.

See Also

#### Reference

Sprite Class
Sprite Overload
SpriteLibrary Namespace